
%define aversion 0.5beta3b
%define name	pytomtom
%define version	0.5
%define release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPLv3
Group: 		File tools
Summary: 	Manage your TomTom under Linux
Summary(de): 	Verwalten Sie Ihre TomTom unter Linux
URL: 		http://pytomtom.tuxfamily.org/
Source0: 	http://launchpad.net/pytomtom/trunk/%{aversion}/+download/%{name}-%{aversion}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch
BuildRequires: 	cabextract pygtk2.0

%description
Manage your TomTom under Linux.

%description -l de
Verwalten Sie Ihre TomTom unter Linux.

%prep
%setup -q -n pytomtom

%build

%install
rm -rf %{buildroot}

%__install -Dm755 bin/%{name} %{buildroot}%{_bindir}/%{name}
cp -R share %{buildroot}/usr

mkdir -p %{buildroot}%{_datadir}/applications
rm -Rf %{buildroot}%{_datadir}/applications/*.desktop
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=pyTOMTOM
Type=Application
GenericName=pyTOMTOM
Comment=Manage your TomTom device
Comment[de]=Verwalten Sie Ihr TomTom !
Comment[fr]=Gérez votre GPS TomTom !
Comment[it]=Gestisci il tuo TomTom !
Icon=/usr/share/pixmaps/pytomtom.png
Exec=pytomtom
Terminal=false
StartupNotify=false
Categories=GNOME;GTK;Utility;X-MandrivaLinux-Office-Communications
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%doc COPYING README
%{_desktopdir}
%{_datadir}/pixmaps
%{_datadir}/%{name}

%changelog
* Fri Sep 03 2010 Texstar <texstar at gmail.com> 0.5-2pclos2010
- rebuild

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 0.5-1pclos2010
- initial build for PCLinuxOS

